Subject: Re: bug#79353: 31.0.50; Eager macro expansion errors when building master

From: JD Smith <[email-masked]>
Date: Wed, 3 Sep 2025 08:21:32 -0400

> On Sep 3, 2025, at 2:07 AM, Gerd Möllmann <[email-masked]> wrote:
> 
> Gerd Möllmann <[email-masked]> writes:
> 
>> JD Smith <[email-masked]> writes:
>> 
>>>> On Sep 2, 2025, at 10:23 AM, Gerd Möllmann <[email-masked]> wrote:
>>>> 
>>>> JD Smith <[email-masked]> writes:
>>>> 
>>>>> I guess I don't understand where this is coming from then. What if
>>>>> you take out the condition-case and let it generate a backtrace?
>>>> 
>>>> I get the attached compilation log, with a backtrace
>>>> 
>>>> <compilation.log>
>>> 
>>> Thanks. Looks like auth-source is the culprit to me. Maybe give it a
>>> require 'cl-extra (with a note like Stefan's) and try?
>> 
>> I'm sorry, but I'll have to pass. I think it's better if someone in the
>> know takes it from here.
> 
> Maybe an explanation is in order why I said that. Remember what I said
> about the invalid-read-syntax once the macro-expansion errors are fixed?
> That's of course exactly what's happening:
> 
> 1 file changed, 1 insertion(+)
> lisp/auth-source.el | 1 +
> 
> modified   lisp/auth-source.el
> @@ -44,6 +44,7 @@
> (require 'icons)
> 
> (require 'cl-lib)
> +(require 'cl-extra)
> (require 'eieio)
> 
> (declare-function gnutls-symmetric-decrypt "gnutls.c")
> 
> =>
> 
>  INFO     Scraping 1529 files for loaddefs...70% 
> loaddefs-gen: loading file tramp-adb (for tramp--with-startup)
> Loading /Users/gerd/emacs/github/master/lisp/net/tramp-adb.el (source)...
> Warning (emacs): loaddefs-gen: load error
> (invalid-read-syntax \N{COLON} 182 16)

Thanks, Gerd.  I don't have a master build setup, so I haven't seen this issue.  Does anyone else?  

I'm not sure what this could mean; a corrupted file somewhere?  If someone who can reproduce this removes the condition-case mentioned earlier, the traceback may be informative.